%define short_name commons-beanutils

Name: jakarta-%short_name
Version: 1.7.1
Release: alt0.2
Summary: Jakarta Commons BeanUtils Package
License: Apache Software License
Group: Development/Java
Source0: commons-beanutils-1.7.1-dev.tar.bz2
# svn co http://svn.apache.org/repos/asf/jakarta/commons/proper/beanutils/trunk beanutils

Url: http://jakarta.apache.org/commons/beanutils/
BuildPreReq: /proc rpm-build-java
BuildRequires: ant jakarta-commons-collections jakarta-commons-logging
Requires: jakarta-commons-collections jakarta-commons-logging
BuildArch: noarch

%description
The scope of this package is to create a package of Java utility methods
for accessing and modifying the properties of arbitrary JavaBeans.  No
dependencies outside of the JDK are required, so the use of this package
is very lightweight.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n beanutils 
#cp LICENSE.txt LICENSE
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
%set_classpath %_javadir/jakarta-commons-collections.jar
%add_classpath %_javadir/jakarta-commons-logging.jar
 
%ant_build \
	-Dcommons-logging.jar=%_javadir/jakarta-commons-logging.jar \
	jar bean-collections-dist javadoc

%install
# jars
install -d -m 755 %buildroot%_javadir
install -m 644 dist/%short_name.jar %buildroot%_javadir/%name.jar

# javadoc
install -d -m 755 %buildroot%_javadocdir/%name
cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc PROPOSAL.html STATUS.html RELEASE-NOTES.txt LICENSE.txt
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%changelog
* Wed May 04 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7.1-alt0.2
- include optional extension Bean Collections
- svn snapshot 20050503

* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.7.1-alt0.1
- 1.7.1 from cvs 20050321
- rpm-build-java macroces

* Fri Sep 10 2004 Vladimir Lettiev <crux@altlinux.ru> 1.7.0-alt1
- 1.7.0
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.6.1-4jpp
- update for JPackage 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6.1-2jpp
- fix ASF license and add packager name

* Wed Feb 19 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6.1-1jpp
- 1.6.1

* Thu Feb 13 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.6-1jpp
- 1.6

* Thu Oct 24 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.5-1jpp
- 1.5

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4.1-1jpp
- 1.4.1

* Tue Aug 20 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.4-1jpp
- 1.4

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-3jpp
- change to commons-xxx.jar instead of commons-xxx.home in ant parameters

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.3-1jpp
- 1.3
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
